package cn.rankin.cmsweb.configuration;

import feign.RequestInterceptor;
import feign.RequestTemplate;
import org.springframework.context.annotation.Bean;

public class FeignConfiguration {

    public static class ContentTypeInterceptor implements RequestInterceptor {
        @Override
        public void apply(RequestTemplate template) {
            template.header("Content-Type", "application/json;charset=UTF-8");
        }
    }

}
