package cn.rankin.common.utils.dto.product;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import lombok.Data;

import java.io.Serializable;
import java.util.*;

@Data
public class CourseDTO implements Serializable {

    private String id;

    private String code;

    private String name;

    private String title;

    private String digest;

    private String detail;

    private String keyword;

    private String cvImgList;

    private String bgImgList;

    private BaseStatusEnum status;

    // 有序
    private List<CourseSubRelationDTO> subItemList;

    private List<String> supportList;

}

