package cn.rankin.common.utils.vo.product;

import cn.rankin.common.utils.dto.product.ItemPriceDTO;
import cn.rankin.common.utils.dto.product.TagDTO;
import cn.rankin.common.utils.enums.ItemStatusEnum;
import cn.rankin.common.utils.enums.ItemTypeEnum;
import lombok.Data;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
public class ItemVo implements Serializable {

    private String id;

    private String subId;

    private String code;

    private String name;

    private ItemTypeEnum type;

    private String merchantId;

    private Integer sort;

    private ItemStatusEnum status;

    private Date gmtCreated;

    private Date gmtModified;


    private List<ItemPriceDTO> priceList;

    private List<TagDTO> tagList;

}
