package cn.rankin.userservice.entity;

import lombok.Data;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

@Data
@ToString
@Entity
@Table(name = "counter")
@DynamicInsert
@DynamicUpdate
public class Counter implements Serializable {

    @Id
    private String id;  // 计数标识id

    private Integer number;
}
