package cn.rankin.userservice.utils;

import cn.rankin.common.utils.dto.user.CmsUserDTO;
import cn.rankin.common.utils.dto.user.MerchantDTO;
import cn.rankin.userservice.entity.CmsUser;
import cn.rankin.userservice.entity.Merchant;
import org.springframework.beans.BeanUtils;

public class DTOConverter {

    public static Merchant convert(MerchantDTO merchantDTO) {
        Merchant merchant = new Merchant();
        BeanUtils.copyProperties(merchantDTO, merchant);
        return merchant;
    }

    public static CmsUser convert(CmsUserDTO userDTO) {
        CmsUser user = new CmsUser();
        BeanUtils.copyProperties(userDTO, user);
        return user;
    }
}
